Bug 240002 - devel/avr-gcc: fix build on GCC architectures
Summary: devel/avr-gcc: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joerg Wunsch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-20 20:18 UTC by Piotr Kubaj
Modified: 2019-08-29 19:40 UTC (History)
3 users (show)

See Also:
linimon: maintainer-feedback+


Attachments
patch (721 bytes, patch)
2019-08-20 20:18 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (joerg)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-08-20 20:18:26 UTC
Created attachment 206741 [details]
patch

GCC 9.1 needs newer GCC to build than base can offer.

It also seems that there are some threading issues, so put MAKE_JOBS_UNSAFE.
Comment 1 Joerg Wunsch freebsd_committer 2019-08-20 21:57:32 UTC
Approved, thanks.

Feel free to commit it.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2019-08-27 22:23:01 UTC
Approved as mentor.
Comment 3 commit-hook freebsd_committer 2019-08-29 19:40:53 UTC
A commit references this bug:

Author: pkubaj
Date: Thu Aug 29 19:39:59 UTC 2019
New revision: 510183
URL: https://svnweb.freebsd.org/changeset/ports/510183

Log:
  devel/avr-gcc: fix build on GCC architectures

  GCC 9.1 needs newer GCC to build than base can offer.

  It also seems that there are some threading issues, so put MAKE_JOBS_UNSAFE.

  PR:		240002
  Approved by:	joerg (maintainer), linimon (mentor)

Changes:
  head/devel/avr-gcc/Makefile